#include <windows.h>

/*
Class ID for the object this server provides.
*/

class CHelloDispatch : public IDispatch
{                                       

	
 public:
 
 /*
 Class constructor
 */
 
    CHelloDispatch();
    ~CHelloDispatch();

 /*
 IUnknown methods
 */

    STDMETHODIMP QueryInterface (REFIID riid, void FAR* FAR* ppv);
    STDMETHODIMP_(ULONG) AddRef (void);
    STDMETHODIMP_(ULONG) Release (void);

/*
IDispatch methods
*/

    STDMETHODIMP GetTypeInfoCount(UINT *pctinfo) ;
    STDMETHODIMP GetTypeInfo(UINT, LCID, ITypeInfo **pptinfo) ;
    STDMETHODIMP GetIDsOfNames(REFIID, LPOLESTR *, UINT, LCID, DISPID *) ;
    STDMETHODIMP Invoke(DISPID, REFIID, LCID lcid, WORD, DISPPARAMS *,
		VARIANT *, EXCEPINFO *, UINT *) ;


/*
Data members
*/
	                                     
    BSTR m_bstrHelloMsg;
    ULONG m_RefCount;			// Reference count.

};








